NVIDIA Jetson Xavier NX中安装的python库包的版本

1 导出Jetson NX中已经安装的python库包

1、导出Jetson NX中已经安装的库包版本

pip3 freeze > Jetson_NX_requirements.txt

2、导出的具体库包版本如下:

absl-py==0.10.0
appdirs==1.4.4
apturl==0.5.2
asn1crypto==0.24.0
astunparse==1.6.3
attrs==17.4.0
Brlapi==0.6.6
cachetools==4.1.1
certifi==2018.1.18
chardet==3.0.4
cryptography==2.1.4
cupshelpers==1.0
cycler==0.10.0
Cython==0.29.21
-e git+https://hub.fastgit.org/xingyizhou/CenterTrack@d3d52145b71cb9797da2bfb78f0f1e88b286c871#egg=DCNv2&subdirectory=src/lib/model/networks/DCNv2
decorator==4.4.2
defer==1.0.6
distro==1.5.0
distro-info===0.18ubuntu0.18.04.1
easydict==1.9
future==0.17.1
futures==3.1.1
gast==0.3.3
google-auth==1.22.1
google-auth-oauthlib==0.4.1
google-pasta==0.2.0
graphsurgeon==0.4.5
grpcio==1.33.1
h5py==2.10.0
httplib2==0.9.2
idna==2.6
importlib-metadata==2.0.0
jetson-stats==3.0.1
joblib==0.11
Keras==2.4.3
Keras-Applications==1.0.8
Keras-Preprocessing==1.1.2
keyring==10.6.0
keyrings.alt==3.0
language-selector==0.1
launchpadlib==1.10.6
lazr.restfulclient==0.13.5
lazr.uri==1.0.3
llvmlite==0.34.0
louis==3.5.0
lxml==4.6.1
macaroonbakery==1.1.3
Mako==1.1.3
Markdown==3.3.2
MarkupSafe==1.1.1
matplotlib==2.1.1
mock==3.0.5
netifaces==0.10.4
nose==1.3.7
numba==0.51.2
numpy==1.16.1
oauth==1.0.1
oauthlib==3.1.0
olefile==0.45.1
onnx==1.6.0
opt-einsum==3.3.0
packaging==20.4
pbr==5.5.1
pexpect==4.2.1
Pillow==8.0.0
pluggy==0.6.0
progress==1.5
protobuf==3.13.0
py==1.5.2
pyasn1==0.4.8
pyasn1-modules==0.2.8
pybind11==2.6.0
pycairo==1.16.2
pycocotools @ git+https://hub.fastgit.org/cocodataset/cocoapi.git@8c9bcc3cf640524c4c20a9c40e89cb6a2f2fa0e9#subdirectory=PythonAPI
pycrypto==2.6.1
pycuda==2019.1.2
pycups==1.9.73
pygobject==3.26.1
pymacaroons==0.13.0
PyNaCl==1.1.2
pyparsing==2.4.7
pyquaternion==0.9.9
pyRFC3339==1.0
pytest==3.3.2
python-apt==1.6.5+ubuntu0.3
python-dateutil==2.6.1
python-debian==0.1.32
pytools==2020.4
pytz==2018.3
pyxattr==0.6.0
pyxdg==0.25
PyYAML==3.12
reportlab==3.4.0
requests==2.24.0
requests-oauthlib==1.3.0
requests-unixsocket==0.1.5
rsa==4.6
scikit-build==0.11.1
scikit-learn==0.19.1
scipy==1.4.1
SecretStorage==2.3.1
simplejson==3.13.2
six==1.15.0
system-service==0.3
systemd-python==234
tensorboard==2.3.0
tensorboard-plugin-wit==1.7.0
tensorflow @ file:///home/zhihui/NVIDIAJetson/tensorflow-2.3.0%2Bnv20.9-cp36-cp36m-linux_aarch64.whl
tensorflow-estimator==2.3.0
termcolor==1.1.0
testresources==2.0.1
torch==1.6.0
torchvision==0.7.0a0+78ed10c
tqdm==4.50.2
typing==3.7.4.3
typing-extensions==3.7.4.3
ubuntu-drivers-common==0.0.0
uff==0.6.9
unattended-upgrades==0.1
urllib3==1.22
wadllib==1.3.2
Werkzeug==1.0.1
wrapt==1.11.1
xkit==0.0.0
youtube-dl==2018.3.14
zipp==3.3.1
zope.interface==4.3.2

2 sicpy库包安装

scipy安装和numpy有着版本依赖关系

1、先安装numpy

pip3 install numpy==1.16.1

2、安装scipy

pip3 install scipy==1.14.1

zhihui@zhihui-desktop:~$ pip3 install scipy==1.4.1
Defaulting to user installation because normal site-packages is not writeable
Looking in indexes: https://pypi.tuna.tsinghua.edu.cn/simple
Collecting scipy==1.4.1
  Using cached https://pypi.tuna.tsinghua.edu.cn/packages/04/ab/e2eb3e3f90b9363040a3d885ccc5c79fe20c5b8a3caa8fe3bf47ff653260/scipy-1.4.1.tar.gz (24.6 MB)
  Installing build dependencies ... done
  Getting requirements to build wheel ... done
    Preparing wheel metadata ... done
Building wheels for collected packages: scipy
  Building wheel for scipy (PEP 517) ... done
  Created wheel for scipy: filename=scipy-1.4.1-cp36-cp36m-linux_aarch64.whl size=43375840 sha256=01722f4d7717eec41fb95649c088b527bd0828f8a614695e504414ed862ad425
  Stored in directory: /home/zhihui/.cache/pip/wheels/c0/c2/05/b135c2b635e87b58a3b62d97863997c346959f48e2ff44370a
Successfully built scipy
Installing collected packages: scipy
Successfully installed scipy-1.4.1
zhihui@zhihui-desktop:$ ls

注意:

scipy的安装过程非常慢,由于Jetsonarm架构,很多安装包都不是whl类型的,都是pip下载好之后需要编译,但是这个scipy编译比较久,我编译的时间至少有半个小时以上,请耐心等待吧!!!

欢迎大家关注笔者,你的关注是我持续更博的最大动力


原创文章,转载告知,盗版必究

微信:suihailiang0816
QQ:931762054
wx公众号:仰望星空的小随
已标记关键词 清除标记
相关推荐
©️2020 CSDN 皮肤主题: 猿与汪的秘密 设计师:白松林 返回首页